var money;
var noOfDays;
var currentDay;
var customsBribed;
var noOfContainers;
var containerSize = 38.5;
var lastLocation;
var currentLocation;
var marketWeapons = [];
var containerWeapons = [];

function newGame(){
    money = 5000;
    noOfDays = 30;
    currentDay = 1;                
    customsBribed = false;
    noOfContainers = 1;
    lastLocation = '';
    currentLocation = '';
    containerWeapons = [];

    addMarketWeapons();

    $("#money").html('Money: $' + Number(money).formatMoney(2));
    $("#container").html('Container free space: ' + getContainerFreeSpace().toFixed(1) + ' of ' + (containerSize * noOfContainers).toFixed(1));
    $("#days").html('Day ' + currentDay + ' of ' + noOfDays);   
    $("#finish").hide();
    $("#travel").show();
}

function addMarketWeapons() {
                
    marketWeapons = [];

    $("#market_weapon").empty();
    if (checkIfAdd()) {
        marketWeapons.push({id:"test1", name:"AK 47", spaceRequired:0.5, price:getPrice(1000, 2500, 4000, 6200, 200, 500), imgName:"ak47.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test2", name:"Frag Grenade", spaceRequired:0.1, price:getPrice(50, 500, 900, 1000, 1, 10), imgName:"Grenade.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test3", name:"Smoke Grenade", spaceRequired:0.1, price:getPrice(50, 500, 900, 1000, 1, 10), imgName:"SmokeGrenade.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test4", name:"Bullpup", spaceRequired:0.5, price:getPrice(1000, 2200, 4000, 6000, 200, 500), imgName:"bullpup.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test5", name:"M16", spaceRequired:0.6, price:getPrice(1500, 3500, 5000, 7500, 300, 600), imgName:"M16.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test6", name:"RPG", spaceRequired:0.8, price:getPrice(2000, 5000, 8000, 15000, 500, 800), imgName:"RPG.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test7", name:"Glock 18", spaceRequired:0.2, price:getPrice(100, 500, 1000, 1500, 50, 75), imgName:"Glock18.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test8", name:"Desert Eagle", spaceRequired:0.2, price:getPrice(300, 800, 1500, 2000, 75, 150), imgName:"DesertEagle.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test9", name:"FAMAS", spaceRequired:0.2, price:getPrice(1000, 2000, 4000, 6000, 200, 500), imgName:"FAMAS.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test10", name:"MP5", spaceRequired:0.3, price:getPrice(250, 1000, 1700, 3000, 50, 75), imgName:"MP5.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test11", name:"MAC10", spaceRequired:0.4, price:getPrice(200, 900, 1500, 3000, 50, 75), imgName:"MAC10.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test12", name:"P90", spaceRequired:0.4, price:getPrice(300, 1200, 1900, 3500, 75, 100), imgName:"P90.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test13", name:"SG-1", spaceRequired:0.7, price:getPrice(3000, 6000, 8000, 10000, 500, 800), imgName:"SG1.png"});
    }
    if (checkIfAdd()) {
        marketWeapons.push({id:"test14", name:"SG-550", spaceRequired:0.7, price:getPrice(2500, 5700, 7500, 9500, 400, 700), imgName:"SG-550.png"});
    }
}

function addMarketItem(id, name, space_required, price, img_name) {
    return '<li class="ui-li-has-thumb"><a href="#">' + 
           '<div class="thumbContainer"><img src="img/' + img_name + '"></div>' +
           '<h2 id="' + id +'_name">' + name + '</h2>' +
           '<p>Space required: <span id="' + id + '_sr">' + space_required + '</span></p>' +
           '<p>Price: $<span id="' + id + '_price">' + Number(price).formatMoney(2) + '</span></p>' + 
           '</a>' + 
           '<a id="' + id + '" class="market_buy" href="#" data-rel="popup" data-position-to="window" data-transition="pop"></a>' + 
           '</li>';
}

function checkIfAdd() {
    var result = Math.floor((Math.random() * 10) + 1);
    if (result > 2) {
        return true;                
    }
    else {
        return false;
    }
}
            
function getPrice(minPrice, maxPrice, minInflatedPrice, maxInflatedPrice, minLowPrice, maxLowPrice) {
    var result = Math.floor((Math.random() * 15) + 1);
    if (result >= 14) {   
        return randomIntFromInterval(minInflatedPrice, maxInflatedPrice).toFixed(2);
    }
    else if (result <= 2) {
        return randomIntFromInterval(minLowPrice, maxLowPrice).toFixed(2);
    }
    else {
        return randomIntFromInterval(minPrice, maxPrice).toFixed(2);
    }
}

function getContainerFreeSpace() { 
    var freeSpace = noOfContainers * containerSize;
    var usedSpace = 0;
    var index;

    for	(index = 0; index < containerWeapons.length; index++) {
        usedSpace += containerWeapons[index].spaceRequired * containerWeapons[index].quantity;
    }

    return freeSpace - usedSpace;
}

function randomIntFromInterval(min,max)
{
    return Math.floor(Math.random()*(max-min+1)+min);
}

function submitScore(name, score) {
    var urlSer = 'https://armsdealer.azurewebsites.net/Leaderboard.aspx/SubmitScore';
    var userdata = '{name: "' + name + '", score: "' + score + '"}';
    $.support.cors = true;
    var request = $.ajax({
        type: "POST",
        url: urlSer,
        data: userdata,
        contentType: "application/json; charset=utf-8",
        dataType: 'json'
    })
    .done(function (response) {
        //alert(response.d);        
    })
    .fail(function (jqXHR, textStatus) {
        //alert(jqXHR.status + ' - ' + textStatus);
        alert('The was a problem submitting your score, please try again.');
    });
}

$(document).ready(function () {
                
    $("#score_menu").on("click", function (e) {
        $("#hs_one").trigger('click');
        loadScores(0);
    });
    
    $("#refresh_scores").on("click", function (e) {
        loadScores(1);
    });
    
    /*$("#page_con").pagecontainer({
        show: function( event, ui ) {
            $.mobile.silentScroll(0);
        }
    });*/
    
    $("#test_scroll").on("click", function (e) {
        //$.mobile.silentScroll(0);
        //window.scrollTo(0, 0);
        //$.mobile.silentScroll($('#help_page').offset().top);
        //$("#help_page").animate({"scrollTop": 0});        
    });
    
    /*$("#radio-choice-w-6a").off('click').on('click', function() {
        try {
            localStorage.setItem("playerlang", $('#radio-choice-w-6a').val());
        }
        catch(err) {
        }
        alert('a');
        tlate($('#radio-choice-w-6a').val());
    });
    $("#radio-choice-w-6b").off('click').on('click', function() {
        try {
            localStorage.setItem("playerlang", $('#radio-choice-w-6b').val());
        }
        catch(err) {
        }
        alert('b');
        tlate($('#radio-choice-w-6b').val());
    });
    $("#radio-choice-w-6c").off('click').on('click', function() {
        try {
            localStorage.setItem("playerlang", $('#radio-choice-w-6c').val());
        }
        catch(err) {
        }
        alert('c');
        tlate($('#radio-choice-w-6c').val());
    });*/
    
    $("input:radio[name='radio-choice-w-6']").click(function() {
        //alert($('input:radio[name=radio-choice-w-6]:checked').val());
        try {
            localStorage.setItem("playerlang", $('input:radio[name=radio-choice-w-6]:checked').val());
        }
        catch(err) {
        }
        tlate($('input:radio[name=radio-choice-w-6]:checked').val());
    });
    
    try {
        var plang = localStorage.getItem("playerlang");
        if (plang != null) {
            switch(plang){
                case 'english':
                    $('#radio-choice-w-6a').prop('checked', true);
                    break;
                case 'zh-CN':
                    $('#radio-choice-w-6b').prop('checked', true);
                    break;
                case 'zh-TW':
                    $('#radio-choice-w-6c').prop('checked', true);
                    break;
                case 'pt-PT':
                    $('#radio-choice-w-6d').prop('checked', true);
                    break;
                case 'ru-RU':
                    $('#radio-choice-w-6e').prop('checked', true);
                    break;
                case 'de':
                    $('#radio-choice-w-6f').prop('checked', true);
                    break;
                case 'fr':
                    $('#radio-choice-w-6g').prop('checked', true);
                    break;
                default:
                    $('#radio-choice-w-6a').prop('checked', true);
                    break;
            }
        } else {
            $('#radio-choice-w-6a').prop('checked', true);
        }
    }
    catch(err) {
        //alert(err);
        $('#radio-choice-w-6a').prop('checked', true);
    }
    
});

$(document).on("pagecontainershow", function (event, ui) {
    //$.mobile.silentScroll(0);
    //window.scrollTo(0, 0);
    var activePage = $.mobile.pageContainer.pagecontainer("getActivePage");
    activePage.animate({"scrollTop": 0},1);
    //alert(activePage);
    //setTimeout(function(){$.mobile.silentScroll(0);}, 100);
    
    var activePageId = activePage[0].id;
    switch (activePageId) {
        case 'score_page' :
            try {
                $("#hs_one").trigger('click');
            }        
            catch(err) {
            }
            break;
        case 'game_page' :
            try {
                $("#tab_one").trigger('click');
            }        
            catch(err) {
            }
            break;
    }    
});

function loadScores(showError) {
    
    var data = '<tr><th style="text-align:left; width:10%;">#</th><th style="text-align:left; width:45%;">' + txt_hs_nme + '</th><th style="text-align:left; width:45%;">' + txt_hs_scr + '</th></tr>';    
    var data2 = '<tr><th style="text-align:left; width:10%;">#</th><th style="text-align:left; width:45%;">' + txt_hs_nme + '</th><th style="text-align:left; width:45%;">' + txt_hs_scr + '</th></tr>';
    var cnt = 1;
    var urlAll = 'https://armsdealer.azurewebsites.net/Leaderboard.aspx/GetHighscoresAllTime';
    var urlLast = 'https://armsdealer.azurewebsites.net/Leaderboard.aspx/GetHighscoresLast7Days';
    
    $("#high_loader").css("display", "block");
    
    $.support.cors = true;
    var request = $.ajax({
        type: "POST",
        url: urlAll,
        contentType: "application/json; charset=utf-8",
        dataType: 'json'
    })
    .done(function (response) {
        response.d.forEach(function (item) {
            data = data + '<tr><td>' + cnt + '</td><td>'+ item.Name + '</td><td>$' + item.Score.formatMoney(2) +'</td></tr>'
            cnt++;
        });
        $("#highScore_alltime").html(data);
        cnt = 1;
        var request = $.ajax({
        type: "POST",
        url: urlLast,
        contentType: "application/json; charset=utf-8",
        dataType: 'json'
        })
        .done(function (response) {
            response.d.forEach(function (item) {
                data2 = data2 + '<tr><td>' + cnt + '</td><td>'+ item.Name + '</td><td>$' + item.Score.formatMoney(2) +'</td></tr>'
                cnt++;
            });
            $("#highScore_last7").html(data2);
            $("#high_loader").hide();
        })
        .fail(function (jqXHR, textStatus) {
            //alert(jqXHR.status + ' - ' + textStatus);
            //alert('Problem fetchings scores.')
            $("#high_loader").hide();
            if (showError == 1) {
                $("#popError").popup("open", {
                    "transition": "pop"
                });
            }
        });
    })
    .fail(function (jqXHR, textStatus) {
        //alert(jqXHR.status + ' - ' + textStatus);
        //alert('Problem fetchings scores.')
        $("#high_loader").hide();
        if (showError == 1) {
            $("#popError").popup("open", {
                "transition": "pop"
            });
        }
    });
    
}

Number.prototype.formatMoney = function(c, d, t) {
    var n = this, 
        c = isNaN(c = Math.abs(c)) ? 2 : c, 
        d = d == undefined ? "." : d, 
        t = t == undefined ? "," : t, 
        s = n < 0 ? "-" : "", 
        i = parseInt(n = Math.abs(+n || 0).toFixed(c)) + "", 
        j = (j = i.length) > 3 ? j % 3 : 0;
    return s + (j ? i.substr(0, j) + t : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + t) + (c ? d + Math.abs(n - i).toFixed(c).slice(2) : "");
};

// Ads
function onAppReady() {
    if( navigator.splashscreen && navigator.splashscreen.hide ) {   // Cordova API detected
        navigator.splashscreen.hide() ;
    }
    // init admob
    initAdMob();    
}
document.addEventListener("app.Ready", onAppReady, false) ;